/*
 * @(#)ZSplashWindow.java
 *
 * Copyright 2001 by Intelligent Technology Inc. All rights reserved.
 */
package jp.co.iti.fagot;

import java.awt.Dimension;
import java.awt.Rectangle;
import java.awt.Frame;

import javax.swing.JLabel;
import javax.swing.JPanel;
import javax.swing.JWindow;

import java.net.URL;

/**
 * お待たせウィンドウを表示します。
 *
 * @author  福島康治
 * @version 1.01 2001/01/07
 */
public class ZSplashWindow extends JWindow {
	/**
	 * コンストラクタ
	 * @param szURL イメージのURL
	 * @param szLabel 表示文字
	 */
	public ZSplashWindow( String szURL,String szLabel )
	{
		JPanel splash = new ZSplashPanel(szURL,szLabel);
		setContentPane(splash);

		Dimension screen = getToolkit().getScreenSize();
		pack();
		setLocation((screen.width - getSize().width) / 2,
			(screen.height - getSize().height) / 2);
		show();
	}

	/**
	 * コンストラクタ
	 * @param frame 親となるフレーム
	 * @param szURL イメージのURL
	 * @param szLabel 表示文字
	 */
	public ZSplashWindow( Frame frame, String szURL,String szLabel )
	{
		JPanel splash = new ZSplashPanel(szURL,szLabel);
		setContentPane(splash);

		Rectangle rect = frame.getBounds();
		pack();
		setLocation(
			(int)(rect.getX()+(rect.getWidth() - getSize().width) / 2),
			(int)(rect.getY()+(rect.getHeight() - getSize().height) / 2));
		show();
	}
}
